<?php
/*
  Template Name: Blog
*/
?>

<?php get_header(); ?>
    
    <div id="content">
    
      <div class="content_left">

       <?php
         global $post;
         $myposts = get_posts('numberposts=20&category_name=Blog');
         foreach($myposts as $post) :
           setup_postdata($post);
         ?>
        
        <div class="post_big">
          <a href="<?php the_permalink(); ?>"><img src="<?php echo catch_that_image() ?>" class="blog_image" /></a>
          
          <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
          
          <p><?php echo substr(strip_tags(get_the_content()),0,250); ?></p>
          
        </div><!--//post_big-->

       <?php endforeach; ?>
        
      </div><!--//content_left-->
      
      <div class="content_right">
      
       <?php
         global $post;
         $myposts = get_posts('numberposts=20&category_name=Featured Medium');
         foreach($myposts as $post) :
           setup_postdata($post);
         ?>
         
        <div class="post_medium">
          <a href="<?php the_permalink(); ?>"><img src="<?php echo catch_that_image() ?>" width="158" height="200" /></a>
        </div><!--//post_medium-->

       <?php endforeach; ?>
      
      </div><!--//content_right-->
    
    </div><!--//content-->
  
  </div><!--//left_container-->
  
  <div class="right_container">
  
    <div class="right_sidebar">
    
       <?php
         global $post;
         $myposts = get_posts('numberposts=20&category_name=Featured Small');
         foreach($myposts as $post) :
           setup_postdata($post);
         ?>
         
          <a href="<?php the_permalink(); ?>"><img src="<?php echo catch_that_image() ?>" width="172" height="104" /></a>
  

       <?php endforeach; ?>
        
    </div><!--//right_sidebar-->
  
  </div><!--//right_container-->
  
<?php get_footer(); ?>